Status: Closed

Priority: Low

Assignee:

Category: Processing/QGIS

Affected QGIS version:1.7.4 Regression?:

Operating System: Windows Easy fix?:

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14925

Description

Using the merge shapefiles command from fTools, if the 'Select by layers in the folder' option is checked, then despite the Shapefile type

dropdown control being disabled, its value is still respected when the command is run, resulting in the process failing if the input files are

of a different object type.

This behaviour is not seen in the separate Merge Shapefiles plugin which the fTools command is based on. Could this be used to update

the fTools code?

History

#1 - 2012-03-15 06:40 AM - Alexander Bruy

- Category set to 44

#2 - 2012-03-15 08:11 AM - Alexander Bruy

- Status changed from Open to Feedback

Not reproducible here with master and latest release-1_7. Please try and report

#3 - 2012-03-15 08:50 AM - Andy Harfoot

My mistake - the original error was obtained using QGIS 1.7.3 (standalone install) on Win 7 64 bit. I can't reproduce on 1.7.4 (OSGeo4W package install,

Win7 64bit) as trying results in the following Python error, regardless of whether the 'Select by layers in the folder' option is checked or not. Once again, the

independent MergeShapes plugin works without problem.

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:\\OSGeo4W\\apps\\qgis\\python\\plugins\\fTools\\tools\\doMergeShapes.py", line 124, in accept

    if self.inEncoding == None:

AttributeError: 'Dialog' object has no attribute 'inEncoding'

Python version:

2.7.2 (default, Jun 12 2011, 15:08:59) [MSC v.1500 32 bit (Intel)]

QGIS version:

1.7.4-Wroclaw Wroclaw, 411aff6
#4 - 2012-03-15 09:11 AM - Alexander Bruy

- Resolution set to fixed

- Status changed from Feedback to Closed

This error already fixed. You can use master or wait for 1.7.5/1.8.0

#5 - 2017-05-01 01:22 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
